Package com.independentsoft.office.odf

# Class Note

java.lang.Object
com.independentsoft.office.odf.Note

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class Note extends Object implements IParagraphContent
Represents text notes which are attached to a text position.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Note()`
  Initializes a new instance of the Note class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(Change change)`
  Adds a Change object to the content.
  `void`
  `add​(ChangeEnd changeEnd)`
  Adds a ChangeEnd object to the content.
  `void`
  `add​(ChangeStart changeStart)`
  Adds a ChangeStart object to the content.
  `void`
  `add​(Shape shape)`
  Adds a Shape object to the content.
  `void`
  `add​(Heading heading)`
  Adds a Heading object to the content.
  `void`
  `add​(IndexOfIllustrations index)`
  Adds an IndexOfIllustrations object to the content.
  `void`
  `add​(ITextContent textContent)`
  Adds an ITextContent object to the content.
  `void`
  `add​(List list)`
  Adds a List object to the content.
  `void`
  `add​(Paragraph paragraph)`
  Adds a Paragraph object to the content.
  `void`
  `add​(Section section)`
  Adds a Section object to the content.
  `void`
  `add​(Table table)`
  Adds a Table object to the content.
  `void`
  `add​(TableOfContents toc)`
  Adds a TableOfContents object to the content.
  `Note`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCitation()`
  Gets the citation, either as a formatted number or a string.
  `List<ITextContent>`
  `getContent()`
  Contains a collection of ITextContent objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getID()`
  Gets the name by which notes can be referenced from NoteReference objects.
  `String`
  `getLabel()`
  Gets the label for user inserted notes in a document.
  `NoteClass`
  `getNoteClass()`
  Gets the class of the note.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setCitation​(String citation)`
  Sets the citation, either as a formatted number or a string.
  `void`
  `setID​(String id)`
  Sets the name by which notes can be referenced from NoteReference objects.
  `void`
  `setLabel​(String label)`
  Sets the label for user inserted notes in a document.
  `void`
  `setNoteClass​(NoteClass noteClass)`
  Sets the class of the note.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current Note object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Note

    public Note()
    Initializes a new instance of the Note class.

- ## Method Details

  - ### add

    public void add​(Change change)
    Adds a Change object to the content.
    Parameters:
      `change` - the change

  - ### add

    public void add​(ChangeEnd changeEnd)
    Adds a ChangeEnd object to the content.
    Parameters:
      `changeEnd` - the change end

  - ### add

    public void add​(ChangeStart changeStart)
    Adds a ChangeStart object to the content.
    Parameters:
      `changeStart` - the change start

  - ### add

    public void add​(Shape shape)
    Adds a Shape object to the content.
    Parameters:
      `shape` - the shape

  - ### add

    public void add​(IndexOfIllustrations index)
    Adds an IndexOfIllustrations object to the content.
    Parameters:
      `index` - the index

  - ### add

    public void add​(Heading heading)
    Adds a Heading object to the content.
    Parameters:
      `heading` - the heading

  - ### add

    public void add​(List list)
    Adds a List object to the content.
    Parameters:
      `list` - the list

  - ### add

    public void add​(Paragraph paragraph)
    Adds a Paragraph object to the content.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Section section)
    Adds a Section object to the content.
    Parameters:
      `section` - the section

  - ### add

    public void add​(Table table)
    Adds a Table object to the content.
    Parameters:
      `table` - the table

  - ### add

    public void add​(TableOfContents toc)
    Adds a TableOfContents object to the content.
    Parameters:
      `toc` - the toc

  - ### add

    public void add​(ITextContent textContent)
    Adds an ITextContent object to the content.
    Parameters:
      `textContent` - the text content

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Note clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Note object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<ITextContent> getContent()
    Contains a collection of ITextContent objects.
    Returns:
      the content

  - ### getID

    public String getID()
    Gets the name by which notes can be referenced from NoteReference objects.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the name by which notes can be referenced from NoteReference objects.
    Parameters:
      `id` - the new id

  - ### getNoteClass

    public NoteClass getNoteClass()
    Gets the class of the note.
    Returns:
      the note class

  - ### setNoteClass

    public void setNoteClass​(NoteClass noteClass)
    Sets the class of the note.
    Parameters:
      `noteClass` - the new note class

  - ### getLabel

    public String getLabel()
    Gets the label for user inserted notes in a document.
    Returns:
      the label

  - ### setLabel

    public void setLabel​(String label)
    Sets the label for user inserted notes in a document.
    Parameters:
      `label` - the new label

  - ### getCitation

    public String getCitation()
    Gets the citation, either as a formatted number or a string.
    Returns:
      the citation

  - ### setCitation

    public void setCitation​(String citation)
    Sets the citation, either as a formatted number or a string.
    Parameters:
      `citation` - the new citation